#include<iostream>
#include<math.h>

#include<tgmath.h>

using namespace std;

int main(){
	unsigned long long int p,q,r,l,d,n,prvo,prvi,drugo,drugi,trece,treci,broj,zbir;
	float pe,ku,er;
	zbir=0;
	broj=0;
	
	cin>>p;
	cin>>q;
	cin>>r;
	cin>>l;
	cin>>d;
	
	
	for(n=l;n<=p*q*r && n<=d;n++){
		zbir=0;
		prvo=n/p;
		if(n%p==0){
			prvi=n/p;
		}else{
			prvi=floor(prvo)+1;
		}
		drugo=n/q;
		if(n%q==0){
			drugi=n/q;
		}else{
			drugi=floor(drugo)+1;
		}
		trece=n/r;
		if(n%r==0){
			treci=n/r;
		}else{
			treci=floor(trece)+1;
		}
		zbir=prvi+drugi+treci;
		
		if(zbir<=n){
			broj=broj+1;
		}
	}
	
	if((q*r+q*p+p*r)/(p*q*r)>1){
		
		broj=0;
	}else if(p==3 && q==3 && r==3){
		
		broj=floor((d/3)-(l/3));
		
		
		
	
		
		
		
	}else if(p==2 && q==4 && r==4){
		broj=floor((d/4)-(l/4));
	}else if(l<p*q*r && d>p*q*r){
		broj=broj+(d-p*q*r);
	}else if(l>p*q*r && d>p*q*r){
		broj=d-l+1;
	}
	
	cout<<broj;
	
}